## compass-susy-plugin 2.2.5

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Susy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Susy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Susy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Susy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## compass-susy-plugin 0.9~20110427

=== debian/changelog ===
compass-susy-plugin (0.9~20110427-3) unstable; urgency=low

  * Fix avoid installing unneeded ruby registration code. Drop related
    patch.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 20 Jul 2011 18:26:31 +0200

compass-susy-plugin (0.9~20110427-2) unstable; urgency=low

  * Update package relations:
    + Depend on ruby-compass (not older libcompass-ruby).
    + Fallback-depend on ruby-sass, and recommend ruby-compass as well:
      recent Sass is shipped separately from Haml and supports Compass
      modules directly.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 04 Jul 2011 01:45:08 +0200

compass-susy-plugin (0.9~20110427-1) unstable; urgency=low

  * New (git snapshot of) upstream release.
  * Fix depend on libcompass-ruby (accidentally dropped in previous
    release.).
  * Bump policy compliance to standards-version 3.9.2.
  * Disable patch 2001: No longer applies (hopefully no longer needed).

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 27 Apr 2011 10:45:44 +0200

compass-susy-plugin (0.8.1~20100924-2) unstable; urgency=low

  * Fix install documentation files.
  * Fix registration of Sass library extension:
    + Install ruby code privately to compass (not public ruby module).
    + Stop (build-)dependending on ruby packages.
    + Drop note in long description about ruby library relation.
    + Rename binary package: Strip ruby version suffix.
    + Conflict with and replace compass-susy-plugin1.8.
  * Add patch 2001 to suppress superfluous registration of install
    locations (we use default ones), superceeding earlier patch
    adjusting those locations.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 03 Feb 2011 06:07:49 +0100

compass-susy-plugin (0.8.1~20100924-1) unstable; urgency=low

  * (Git snapshot of) new upstream release.
    Closes: bug#611773.
  * Friendly invasion: Add myself as uploader.
  * Use dpkg-source format 3.0 (quilt), instead of explicitly use quilt.
  * Bump standards-version to 3.9.1.
  * Packaging moved to git: Update Vcs-* stanzas.
  * Refresh patch w/ compacting options --no-timestamps --no-index -pab.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 02 Feb 2011 05:40:03 +0100

compass-susy-plugin (0.6.3-1) unstable; urgency=low

  * Initial release (Closes: #573874)

 -- Micah Anderson <micah@debian.org>  Sun, 14 Mar 2010 12:26:12 -0400

=== debian/control ===
Source: compass-susy-plugin
Section: ruby
Priority: optional
Maintainer: Micah Anderson <micah@debian.org>
Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: debhelper (>= 7), cdbs
Standards-Version: 3.9.2
Homepage: http://www.oddbird.net/susy/
Vcs-Git: git://git.debian.org/git/collab-maint/compass-susy-plugin
Vcs-Browser: http://git.debian.org/?p=collab-maint/compass-susy-plugin.git

Package: compass-susy-plugin
Architecture: all
Depends: ${misc:Depends},
 ruby-compass | ruby-sass
Recommends: ruby-compass
Conflicts: compass-susy-plugin1.8
Replaces: compass-susy-plugin1.8
Description: Compass plugin providing an elastic grid system 
 Susy is a semantic CSS framework, entirely native to Compass. Susy is
 an elastic grid system that will never activate the side-scroll bar.
 With Susy you can build quick, custom grids that respond to the needs
 of the user without giving up design integrity. Susy sets your width
 on the outer element (container), adds a max-width of 100% and builds
 the rest of your grid in percentages. The philosophy and technique
 are based on Natalie Downe's "CSS Systems" - which introduces
 difficult math in the service of beautiful structure. 
 .
 Using simple mixins, columns can be created, suffixed, prefixed, and
 nested easily - and always in flexible percentages.

=== debian/watch ===
version=3
http://githubredir.debian.net/github/ericam/compass-susy-plugin/ v([.0-9]*).tar.gz

## compass-susy-plugin 0.9

=== debian/changelog ===
compass-susy-plugin (0.9-2) unstable; urgency=low

  * Update Homepage in control file.
    Closes: bug#671073. Thanks to Davide Prina.
  * Update download URL in rules and watch files.
  * Reality check: Promote myself to maintainer, demote Micah to
    uploader, and drop out of the Ruby team.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 May 2012 11:40:14 +0200

compass-susy-plugin (0.9-1) unstable; urgency=low

  * New upstream release.

  * Include CDBS snippets to implement get-orig-source target, track
    copyrights and more.
  * Update watch file to directly use github.com (not
    githubredir.debian.net).
  * Drop dpkg-source local-options hint: Declared options are default
    since dpkg-source 1.16.1.
  * Bump standards-version to 3.9.3.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Let CDBS semi-auto-resolve build-dependencies.
  * Update copyright file: Rewrite using format 1.0.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in oldstable.
  * Build-depend on dh-buildinfo.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Apr 2012 03:35:52 -0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: compass-susy-plugin
 Section: ruby
 Priority: optional
-Maintainer: Micah Anderson <micah@debian.org>
-Uploaders: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>,
- Jonas Smedegaard <dr@jones.dk>
-Build-Depends: debhelper (>= 7), cdbs
-Standards-Version: 3.9.2
-Homepage: http://www.oddbird.net/susy/
+Maintainer: Jonas Smedegaard <dr@jones.dk>
+Uploaders: Micah Anderson <micah@debian.org>
+Build-Depends: cdbs,
+ debhelper,
+ dh-buildinfo
+Standards-Version: 3.9.3
+Homepage: http://susy.oddbird.net/
 Vcs-Git: git://git.debian.org/git/collab-maint/compass-susy-plugin
-Vcs-Browser: http://git.debian.org/?p=collab-maint/compass-susy-plugin.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/compass-susy-plugin.git
 
 Package: compass-susy-plugin
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = https://github.com/ericam/susy/tarball
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_DELIMITER =
DEB_UPSTREAM_TARBALL_EXTENSION =
DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 6c1e8cabb2bcdf2af995fb9a9a9ae9ae

=== debian/watch ===
version=3
https://github.com/ericam/susy/tags .*/tarball/v?(\d[\d\.]+)

## compass-susy-plugin 1.0.8~dfsg

=== debian/changelog ===
compass-susy-plugin (1.0.8~dfsg-2) unstable; urgency=low

  * Add README.source emphasizing control.in file as *not* a
    show-stopper for contributions, referring to CDBS+git-buildpackage
    wiki page for details.
  * Bump packaging license to GPL-3+, and extend coverage to include
    current year.
  * Fix really apply changes intended for 1.0.8~dfsg-1:
    + Use anonscm.debian.org URL for Vcs-Git.
    + Drop conflicts/replaces on never-released compass-susy-plugin1.8.
    + Extend long description based on upstream text.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 09 May 2013 15:06:06 +0200

compass-susy-plugin (1.0.8~dfsg-1) experimental; urgency=low

  [ upstream ]
  * New release(s):
    + Add isolate and isolate-grid mixins.
    + Add bleed mixin.
    + Add $style argument to grid mixins.
    + Fix documentation typos.
    + Switch from # to * in legacy-ie hacks.
    + Fix a few edge-cases of conflicting $container-style and
      $container-width.

  [ Jonas Smedegaard ]
  * Add git-buildpackage configfile, enabling signed tags, use of
    pristine-tar, and suppressing upstream .gitignore files.
  * Stop track md5sum of upstream tarball.
  * Bump (yes, not extend) coverage for main copyright holder.
  * Use anonscm.debian.org URL for Vcs-Git.
  * Drop conflicts/replaces on never-released compass-susy-plugin1.8.
  * Extend long description based on upstream text.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 07 Apr 2013 21:44:25 +0200

compass-susy-plugin (1.0.5~dfsg-2) experimental; urgency=low

  * Fix relax versioned dependendies to allow dfsg-repackaging and
    backports.
  * Build-depend on devscripts, to always check copyrights during build.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Nov 2012 12:09:40 +0100

compass-susy-plugin (1.0.5~dfsg-1) experimental; urgency=low

  [ upstream ]
  * New upstream release.

  [ Jonas Smedegaard ]
  * Update watch and rules files to use new github.com URL.
  * Bump dephelper compatibility level to 8.
  * Rewrite short and long description, based on upstream texts.
  * Update copyright file:
    + Refer to upstream issue tracker as main contact URL.
  * Update package relations:
    + Really tighten to depend on recent ruby-compass and ruby-sass (as
      promised in previous package release).

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 29 Nov 2012 02:40:46 +0100

compass-susy-plugin (1.0~dfsg-1) experimental; urgency=low

  * New upstream release.

  * Repackage source to exclude non-DFSG fonts and source-less
    JavaScript.
  * Suppress copyright-checking some images.
  * Update package relations:
    + Tighten to depend on recent ruby-compass and ruby-sass.
  * Ship only upstream README: remaining documentation now needs
    middleman not packaged for Debian.
  * Handle ~dfsg suffix in watch file.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 17 Aug 2012 12:12:54 +0200

## compass-susy-plugin 1.0.9~dfsg

=== debian/changelog ===
compass-susy-plugin (1.0.9~dfsg-1) unstable; urgency=low

  [ upstream ]
  * New release:
    + Fix clearing with isolate-grid mixin.
    + Allow changing nth-selectors in isolate-grid mixin.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 20 Oct 2013 02:29:57 +0200

=== debian/control ===
Source: compass-susy-plugin
Section: ruby
Priority: optional
Maintainer: Jonas Smedegaard <dr@jones.dk>
Uploaders: Micah Anderson <micah@debian.org>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo
Standards-Version: 3.9.4
Homepage: http://susy.oddbird.net/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/compass-susy-plugin
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/compass-susy-plugin.git

Package: compass-susy-plugin
Architecture: all
Depends: ${misc:Depends},
 ruby-compass (>= 0.12.2~),
 ruby-sass (>= 3.2.0~)
Description: responsive grids for Compass
 Compass is a CSS authoring framework which uses the Sass stylesheet
 language to make writing stylesheets powerful and easy.
 .
 Susy is a semantic CSS grid system with a responsive twist.
 .
 Susy grids are fluid on the inside, ready to respond at any moment, but
 contained in the candy shell of your choice, so they respond how and
 when and where you want them to.  They don't design your site or
 dictate your markup, just do the math and get out of your way.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Micah Anderson <micah@debian.org>
# Copyright © 2011, 2012, 2013 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Magpie
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_UPSTREAM_URL = https://github.com/ericam/susy/archive
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_SRCDIR = susy-$(DEB_UPSTREAM_TARBALL_VERSION)

# Non-DFSG licensed fonts and source-less JavaScript
DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 ./docs/source/fonts/ \
 ./docs/source/javascripts/jquery-1.7.1.min.js \
 ./docs/source/javascripts/modernizr-2.5.3.min.js

# Suppress copyright-checking some images (in addition to defaults)
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(docs/source/(apple-touch-icon-.*|images/splash-.*)\.png|debian/(changelog|copyright(|_hints|_newhints)))$

=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
https://github.com/ericam/susy/tags .*/archive/v?(\d[\d\.]+).tar.gz

## compass-susy-plugin 2.1.3

=== debian/changelog ===
compass-susy-plugin (2.1.3-1) unstable; urgency=medium

  [ upstream ]
  * New release.

  * Update Vcs-Browser URL to use cgit web frontend.
  * Declare compliance with Debian Policy 3.9.6.
  * Add patch 2001 to register system-shared framework install path.
  * Build and install using gem2deb.
  * Build-depend on gem2deb.
  * Depend on ruby.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Oct 2014 06:57:47 +0200

compass-susy-plugin (2.1.2-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Fix use canonical Vcs-Git URL.
  * Stop repackaging upstream tarball: Now DFSG-compliant.
  * Update package relations:
    + Tighten dependency on ruby-sass.
    + Recommend (not depend on) ruby-compass.
    + Suggest compass-breakpoint-plugin.
  * Add full documentation (as plain text only for now).
  * Update copyright info:
    + Bump (yes, not extend) coverage for main author.
    + Update family name of main author.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 07 Jul 2014 03:55:03 +0200

compass-susy-plugin (1.0.9~dfsg-2) unstable; urgency=medium

  * Update Maintainer, Uploaders and Vcs-* fields: Packaging git moved
    to pkg-sass area of Alioth.
  * Bump standards-version to 3.9.5.
  * Fix use package section web.
  * Extend coverage for myself.
  * Update copyright file: Add alternate git URL.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 01 May 2014 18:03:45 +0200

=== debian/control ===
Source: compass-susy-plugin
Section: web
Priority: optional
Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 devscripts,
 debhelper,
 dh-buildinfo,
 gem2deb,
 ruby | ruby-interpreter,
 ruby-sass (>= 3.4)
Standards-Version: 3.9.6
Homepage: http://susy.oddbird.net/
Vcs-Git: git://anonscm.debian.org/pkg-sass/compass-susy-plugin
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/compass-susy-plugin.git
XS-Ruby-Versions: all

Package: compass-susy-plugin
Architecture: all
Depends: ${cdbs:Depends},
 ${misc:Depends}
Recommends: ruby-compass
Suggests: compass-breakpoint-plugin
XB-Ruby-Versions: ${ruby:Versions}
Description: responsive grids for Compass
 Compass is a CSS authoring framework which uses the Sass stylesheet
 language to make writing stylesheets powerful and easy.
 .
 Susy is a semantic CSS grid system with a responsive twist.
 .
 Susy grids are fluid on the inside, ready to respond at any moment, but
 contained in the candy shell of your choice, so they respond how and
 when and where you want them to.  They don't design your site or
 dictate your markup, just do the math and get out of your way.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2010 Micah Anderson <micah@debian.org>
# Copyright © 2011-2014 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for Magpie
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

pkg = $(DEB_SOURCE_PACKAGE)

DEB_UPSTREAM_URL = https://github.com/ericam/susy/archive
DEB_UPSTREAM_TARBALL_BASENAME = $(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_SRCDIR = susy-$(DEB_UPSTREAM_TARBALL_VERSION)

# needed during build
bdeps = gem2deb

# needed during build and at runtime
deps = ruby | ruby-interpreter
deps +=, ruby-sass (>= 3.4)

CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
CDBS_DEPENDS_$(pkg) = $(deps)

DEB_INSTALL_CHANGELOGS_ALL += docs/changelog.rst

configure/$(pkg):: debian/stamp-ruby-gem-configure
debian/stamp-ruby-gem-configure:
	dh_ruby --configure
	touch $@

build/$(pkg):: debian/stamp-ruby-gem-build
debian/stamp-ruby-gem-build:
	dh_ruby --build
	touch $@

install/$(pkg):: debian/stamp-ruby-gem-install
debian/stamp-ruby-gem-install:
	dh_ruby --install
	touch $@

clean::
	dh_ruby --clean
	rm -f $(patsubst %,debian/stamp-ruby-gem-%,configure build install)

## compass-susy-plugin 2.2.5

=== debian/changelog ===
compass-susy-plugin (2.2.5-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).
    + Work around libsass fraction bug.
    + Pass grid arguments to overlay positioning mixin.

  [ Jonas Smedegaard ]
  * Update copyright info: Extend coverage for myself.
  * Modernize git-buildpackage config: Drop "git-" prefix.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 May 2015 04:33:52 +0200

compass-susy-plugin (2.2.2-1) experimental; urgency=medium

  [ upstream ]
  * New release.

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Bump (yes, not extend) coverage for main author.
  * Update short description, based on upstream packaging hints.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Jan 2015 15:26:15 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
 Recommends: ruby-compass
 Suggests: compass-breakpoint-plugin
 XB-Ruby-Versions: ${ruby:Versions}
-Description: responsive grids for Compass
+Description: Sass power-tools for web layout
  Compass is a CSS authoring framework which uses the Sass stylesheet
  language to make writing stylesheets powerful and easy.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2010 Micah Anderson <micah@debian.org>
-# Copyright © 2011-2014 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Magpie
 #
 # This program is free software; you can redistribute it and/or modify

=== debian/watch ===
version=3
https://github.com/ericam/susy/tags .*/archive/v?(\d[\d\.]+).tar.gz

## compass-susy-plugin 2.2.12

=== docs/requirements.txt ===
Jinja2==2.7.1
MarkupSafe==0.18
Pygments==1.6
Sphinx==1.2
docutils==0.11
sphinx-rtd-theme==0.1.5

=== debian/changelog ===
compass-susy-plugin (2.2.12-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use python3-sphinx instead of python-sphinx. (Closes: #942922)

 -- Adrian Bunk <bunk@debian.org>  Sat, 01 Feb 2020 23:16:02 +0200

compass-susy-plugin (2.2.12-1) unstable; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update watch file:
    + Bump to file format 4.
    + Add usage comment.
  * Update copyright info:
    + Update name and coverage of main author.
    + Extend coverage for Debian packaging.
  * Declare compliance with Debian Policy 3.9.8.
  * Bump debhelper compatibility level to 9.
  * Modernize Vcs-Git field to use https URL.
  * Modernize git-buildpackage config:
    + Avoid git- prefix.
    + Filter any .git* file.
  * Modernize CDBS use: Build-depend on licensecheck (not devscripts).
  * Build and include documentation.
    Build-depend on python-sphinx python-sphinx-rtd-theme.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 14 Dec 2016 12:31:14 +0100

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,17 @@
 Maintainer: Debian Sass team <pkg-sass-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- devscripts,
+ licensecheck,
  debhelper,
  dh-buildinfo,
  gem2deb,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
  ruby | ruby-interpreter,
  ruby-sass (>= 3.4)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://susy.oddbird.net/
-Vcs-Git: git://anonscm.debian.org/pkg-sass/compass-susy-plugin
+Vcs-Git: https://anonscm.debian.org/git/pkg-sass/compass-susy-plugin
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-sass/compass-susy-plugin.git
 XS-Ruby-Versions: all

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # -*- mode: makefile; coding: utf-8 -*-
 # Copyright © 2010 Micah Anderson <micah@debian.org>
-# Copyright © 2011-2015 Jonas Smedegaard <dr@jones.dk>
+# Copyright © 2011-2016 Jonas Smedegaard <dr@jones.dk>
 # Description: Main Debian packaging script for Magpie
 #
 # This program is free software; you can redistribute it and/or modify
@@ -28,7 +28,7 @@
 DEB_UPSTREAM_TARBALL_SRCDIR = susy-$(DEB_UPSTREAM_TARBALL_VERSION)
 
 # needed during build
-bdeps = gem2deb
+bdeps = gem2deb, python3-sphinx, python3-sphinx-rtd-theme
 
 # needed during build and at runtime
 deps = ruby | ruby-interpreter
@@ -47,6 +47,7 @@
 build/$(pkg):: debian/stamp-ruby-gem-build
 debian/stamp-ruby-gem-build:
 	dh_ruby --build
+	$(MAKE) -C docs text
 	touch $@
 
 install/$(pkg):: debian/stamp-ruby-gem-install
@@ -57,3 +58,4 @@
 clean::
 	dh_ruby --clean
 	rm -f $(patsubst %,debian/stamp-ruby-gem-%,configure build install)
+	rm -rf docs/_build

=== debian/watch ===
# run "uscan --report" to check or "gpb import-orig --uscan" to update
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/ericam/susy/tags \
 (?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@
